About
=====

This is Hyperbola Docker is base image build setup that employs
the bootstrap tarball distributed by distro authors.

It's meant to provide an easy to use solution for building
Hyperbola Docker images.

Usage
======

- `git clone` this repository.

- `cd` to a directory where you have cloned it.

- Generate bootstrap image with [hyperbola-bootstrap](https://git.sr.ht/~heckyel/hyperbola-bootstrap)

- Run

        ./tar_fix.py --input=hyperbola-bootstrap.tar.gz --output=bootstrap.tar.gz

    > This will remove input tarball's top-level directory from all its component paths, and save that in the output tarball.
    > As a result its content starts at `/` rather than `x86_64/` or `i686/`, and so will the filesystem of the Docker image.
    > `tar_fix.py` needs Python 3.5 or later.

- Make sure you have my `Dockerfile`, `.dockerignore` and the `bootstrap.tar.gz` in one directory.

- Build the image with a command like:

        docker build --build-arg architecture=x86_64 --tag hyperbola-x86_64-base .

    > **Mind the dot!** Use `--build-arg architecture=i686` if you are building from an i686 `bootstrap.tar.gz`.

License
=======

This work is licensed under the [GNU GPLv3+](LICENSE)
